﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RX7Interface
{
    public partial class DebugForm : Form
    {
        private Rx7DataStream dataStream;

        public DebugForm()
        {
            InitializeComponent();
            dataStream = new Rx7DataStream("COM3");
        }

        private void buttonRead_Click(object sender, EventArgs e)
        {
            textReceived.AddText(Environment.NewLine + Environment.NewLine);
            textReceivedHex.AddText(Environment.NewLine + Environment.NewLine + ((uint)numericAddress.Value).ToString("X4") + ": ");

            byte received = dataStream.ReadByte((uint)numericAddress.Value);

            textReceivedHex.AddText("0x" + received.ToString("X2") + "  ");

            textReceived.AddText(ASCIIEncoding.UTF8.GetString(new byte[] { received }).Replace((char)0, (char)0xFF));
        }
        private void timerRead_Tick(object sender, EventArgs e)
        {
            buttonRead_Click(null, null);

            if (checkAutoIncrement.Checked)
            {
                numericAddress.Value++;
            }
        }

        private void checkAutoRead_CheckedChanged(object sender, EventArgs e)
        {
            timerRead.Enabled = checkAutoRead.Checked;
        }
        private void numericUpDown1_ValueChanged(object sender, EventArgs e)
        {
            timerRead.Interval = (int)numericUpDown1.Value;
        }
    }
}
