﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace RX7Interface
{
    public partial class GaugeForm : Form
    {
        List<MultiGauge> gauges = new List<MultiGauge>();

        public GaugeForm()
        {
            InitializeComponent();

            RecurseControlContainer(this);
        }

        public void SetParameterList(Parameter[] parameters)
        {
            foreach (MultiGauge gauge in gauges)
            {
                gauge.SetParameterList(parameters);
            }
        }

        private void RecurseControlContainer(Control control)
        {
            foreach (Control subControl in control.Controls)
            {
                MultiGauge gauge = control as MultiGauge;

                if (gauge != null)
                {
                    gauges.Add(gauge);
                }

                RecurseControlContainer(subControl);
            }
        }

        public new void Update()
        {
            foreach (MultiGauge gauge in gauges)
            {
                gauge.Update();
            }

            base.Update();
        }
    }
}
